'From Squeak3.4beta of ''1 December 2002'' [latest update: #5138] on 13 December 2002 at 3:35 pm'!
"Change Set:		FileSelectionDialog
Date:			13 December 2002
Author:			Boris Gaernter

This change set fixes the following flaws in the MVC file selection dialog:
1. The dialog is always opened in FileDirectory default. 
2. The dialog is displayed in deemphasized mode; the selections are therefore not shown.
3. When you try to bring up the menu of the file name list view, you run into the debugger.
"!


!FileList methodsFor: 'initialization' stamp: 'BG 12/13/2002 15:32'!
directory: dir
	"Set the path of the volume to be displayed."

	self okToChange ifFalse: [^ self].

	self modelSleep.
	directory _ dir.
	self modelWakeUp.

	sortMode == nil ifTrue: [sortMode _ #date].
	volList _ ((Array with: '[]'), directory pathParts)  "Nesting suggestion from RvL"
			withIndexCollect: [:each :i | ( String new: i-1 withAll: $ ), each].
	volListIndex := volList size.
	self changed: #relabel.
	self changed: #volumeList.
	self pattern: pattern! !


!ModalSystemWindowView methodsFor: 'modal dialog' stamp: 'BG 12/13/2002 11:33'!
doModalDialog

	| savedArea |
	self resizeInitially.
	self resizeTo: 
		((self windowBox)
			align: self windowBox center
			with: Display boundingBox aboveCenter).
	savedArea _ Form fromDisplay: self windowBox.
	self displayEmphasized.
	self controller startUp.
	self release.
	savedArea displayOn: Display at: self windowOrigin.
! !


!PluggableFileList methodsFor: 'file list menu' stamp: 'BG 12/13/2002 10:00'!
itemsForNoFile

   ^(OrderedCollection new: 5)
        add: self serviceSortByName;
        add: self serviceSortBySize;
        add: self serviceSortByDate;
        add: self serviceAddNewFile;
        add: self serviceAddNewDirectory;
        yourself! !


!PluggableFileList class methodsFor: 'StandardFileMenu' stamp: 'BG 12/13/2002 15:31'!
newFileMenu: aDirectory

	"For compatibility with StandardFileMenu for now, answer a StandardFileMenuResult"
	^(self getFilePathNameDialogWithExistenceCheck)
		resultBlock: self sfmResultBlock;
		directory: aDirectory;
		yourself! !

!PluggableFileList class methodsFor: 'StandardFileMenu' stamp: 'BG 12/13/2002 15:32'!
oldFileMenu: aDirectory

	"For compatibility with StandardFileMenu for now, answer a StandardFileMenuResult"
	^(self getFilePathNameDialog)
		resultBlock: self sfmResultBlock;
		directory: aDirectory;
		yourself! !

